QGIS Application - Bug report #4444
Error when loading Python plugins
2011-10-26 12:49 AM - Vaclav Petras

Status: Closed
Priority: Low
Assignee:

Category: Python plugins

Affected QGIS version:
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupts data:

Regression?: No
Easy fix?: No
Resolution: fixed

Copied to github as #: 14376

Description

On QGIS start-up Python error has occurred.
Message from Python error window:

Couldn't load plugin " from ['/home/vasek/dev/qgis/Quantum-GIS/build-master/output/bin/../python’, '’home/vasek/.qgis/python’,
'’home/vasek/.qgis/python/plugins’, ", '/usr/lib/python2.6', '/usr/lib/python2.6/plat-linux2', '/usr/lib/python2.6/lib-tk’,
'fusr/lib/python2.6/lib-old', ‘/ust/lib/python2.6/lib-dynload', /usr/lib/python2.6/dist-packages’, '/usr/lib/python2.6/dist-packages/PIL',
"/usr/lib/python2.6/dist-packages/gst-0.10', '/usr/lib/pymodules/python2.6', /ust/lib/python2.6/dist-packages/gtk-2.0',
"/usr/lib/pymodules/python2.6/gtk-2.0', '/usr/lib/python2.6/dist-packages/wx-2.8-gtk2-unicode’,

'/usr/local/lib/python2.6/dist-packages']

Traceback (most recent call last):

File "/home/vasek/dev/ggis/Quantum-GIS/build-master/output/bin/../python/qgis/utils.py”, line 117, in loadPlugin

__import__(packageName)

File "/home/vasek/dev/qgis/Quantum-GIS/build-master/output/bin/../python/qgis/utils.py", line 283, in _import

mod = _builtin_import(name, globals, locals, fromlist, level)

ValueError: Empty module name

Python version:
2.6.5 (r265:79063, Apr 16 2010, 14:15:55)
[GCC 4.4.3]

QGIS version:
1.8.0-Trunk Trunk, a8a90fe

Python path: ['/home/vasek/dev/qgis/Quantum-GIS/build-master/output/bin/../python’, '’home/vasek/.qgis/python’,
'"home/vasek/.qgis/python/plugins', ", '/usr/lib/python2.6', '/usr/lib/python2.6/plat-linux2', ‘/usr/lib/python2.6/lib-tk',
"fusr/lib/python2.6/lib-old', ‘/usr/lib/python2.6/lib-dynload', '/usr/lib/python2.6/dist-packages’, '/usr/lib/python2.6/dist-packages/PIL',
"/usr/lib/python2.6/dist-packages/gst-0.10', ‘/usr/lib/pymodules/python2.6', '/ust/lib/python2.6/dist-packages/gtk-2.0',
'/usr/lib/pymodules/python2.6/gtk-2.0', '/usr/lib/python2.6/dist-packages/wx-2.8-gtk2-unicode’,

'fusr/local/lib/python2.6/dist-packages']

Three last debug messages from console:

Debug: /home/vasek/dev/qgis/Quantum-GlIS/src/app/qgspluginregistry.cpp: 463: (checkCppPlugin) Failed to get name,
description, or type for /home/vasek/dev/qgis/Quantum-GIS/build-master/output/bin/../lib/qgis/plugins/libwfsprovider.so

Debug: /home/vasek/dev/qgis/Quantum-GlS/src/app/qgspluginregistry.cpp: 463: (checkCppPlugin) Failed to get name,
description, or type for /home/vasek/dev/qgis/Quantum-GIS/build-master/output/bin/../lib/ggis/plugins/libwmsprovider.so

Debug: /home/vasek/dev/qgis/Quantum-GlS/src/app/qgspluginregistry.cpp: 413: (restoreSessionPlugins) Loading python plugins
When Python list available_plugins is empty output QString from evalString is empty. Method split returns QStringList with one empty
string, not empty list as expected, because default option is KeepEmptyParts. This plugin with name " is now in list of available plugins.

The solution is call split with proper parameter, it is SkipEmptyParts (see diff).

It is harmless error. However it is not nice when it is first thing you see when you start QGIS with no Python plugins.

Associated revisions

Revision d8dc04f5 - 2011-10-31 02:14 PM - Martin Dobias

Fix #4444. Patch by Vaclav Petras

Revision 73752e61 - 2011-11-13 11:37 AM - Martin Dobias

Fix #4444. Patch by Vaclav Petras

History

#1 - 2011-10-29 06:21 AM - Robin Lovelace

I'm having a similar problem in 1.7.1 (updated just now): when qgis loads | get this complaint:
Warning: loading of qgis translation failed [/usr/share/qgis/i18n//qgis_en_GB]
Warning: loading of gt translation failed [/usr/share/qt4/translations/qt_en_GB]
Warning: Couldn't load Python support library: Cannot load library /usr/lib/ggispython: (/usr/lib/libqgispython.so: cannot open shared object file: No
such file or directory)

I've seen this ticketed elsewhere (here http:/trac.osgeo.org/qgis/ticket/2882 ) but | don't know how to include the patch in my install. Is a fresh install a

possible solution?

#2 - 2011-10-29 06:23 AM - Robin Lovelace

P.S. I'm running Oneric 64 bit.

#3 - 2011-10-29 07:43 AM - Giovanni Manghi

Robin Lovelace wrote:

P.S. I'm running Oneric 64 bit.

There are no problems under Oneiric 64bit (I'm using it too), you just probably have some conflict with and old installation/repo. Try purge everything qgis
related and re-install again.

#4 - 2011-10-31 06:19 AM - Martin Dobias
http://trac.osgeo.org/qgis/ticket/2882

Patch applied in commit:d8dc04f - thanks for contributing it.

Robin: your problem is unrelated, your installation may be incorrect.
#5 - 2011-10-31 06:19 AM - Martin Dobias

- Resolution set to fixed

- Status changed from Open to Closed

Files

qgis_loading_python_plugins.diff 817 Bytes
